ontology

## Class Types

- java.lang.Object
- - ontology.Types

-     public class Types
      extends java.lang.Object

  Created with IntelliJ IDEA. User: Diego Date: 17/10/13 Time: 11:05 This is a Java port from Tom Schaul's VGDL - https://github.com/schaul/py-vgdl

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Types.ACTIONS`
    `static class` | `Types.WINNER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `ALL_ACTIONS`
    `static Vector2d[]` | `BASEDIRS`
    `static java.awt.Color` | `BLACK`
    `static java.awt.Color` | `BLUE`
    `static java.awt.Color` | `BROWN`
    `static java.lang.Integer[]` | `COLOR_DISC`
    `static java.awt.Color` | `DARKBLUE`
    `static java.awt.Color` | `DARKGRAY`
    `static Vector2d` | `DOWN`
    `static java.awt.Color` | `GOLD`
    `static java.awt.Color` | `GRAY`
    `static java.awt.Color` | `GREEN`
    `static Vector2d` | `LEFT`
    `static java.awt.Color` | `LIGHTBLUE`
    `static java.awt.Color` | `LIGHTGRAY`
    `static java.awt.Color` | `LIGHTGREEN`
    `static java.awt.Color` | `LIGHTORANGE`
    `static java.awt.Color` | `LIGHTRED`
    `static java.awt.Color` | `LIGHTYELLOW`
    `static Vector2d` | `NIL`
    `static Vector2d` | `NONE`
    `static java.awt.Color` | `ORANGE`
    `static int` | `PHYSICS_CONT`
    `static int` | `PHYSICS_GRAVITY`
    `static int` | `PHYSICS_GRID`
    `static int` | `PHYSICS_NON_FRICTION`
    `static int` | `PHYSICS_NONE`
    `static java.awt.Color` | `PINK`
    `static java.awt.Color` | `RED`
    `static Vector2d` | `RIGHT`
    `static int` | `SCORE_DISQ`
    `static int` | `TYPE_AVATAR`
    `static int` | `TYPE_FROMAVATAR`
    `static int` | `TYPE_MOVABLE`
    `static int` | `TYPE_NPC`
    `static int` | `TYPE_PORTAL`
    `static int` | `TYPE_RESOURCE`
    `static int` | `TYPE_STATIC`
    `static Vector2d` | `UP`
    `static int` | `VGDL_GAME_DEF`
    `static int` | `VGDL_INTERACTION_SET`
    `static int` | `VGDL_LEVEL_MAPPING`
    `static int` | `VGDL_SPRITE_SET`
    `static int` | `VGDL_TERMINATION_SET`
    `static java.awt.Color` | `WHITE`
    `static java.awt.Color` | `YELLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Types()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PHYSICS_NONE

          public static final int PHYSICS_NONE

      See Also:
        Constant Field Values

    - #### PHYSICS_GRID

          public static final int PHYSICS_GRID

      See Also:
        Constant Field Values

    - #### PHYSICS_CONT

          public static final int PHYSICS_CONT

      See Also:
        Constant Field Values

    - #### PHYSICS_NON_FRICTION

          public static final int PHYSICS_NON_FRICTION

      See Also:
        Constant Field Values

    - #### PHYSICS_GRAVITY

          public static final int PHYSICS_GRAVITY

      See Also:
        Constant Field Values

    - #### VGDL_GAME_DEF

          public static final int VGDL_GAME_DEF

      See Also:
        Constant Field Values

    - #### VGDL_SPRITE_SET

          public static final int VGDL_SPRITE_SET

      See Also:
        Constant Field Values

    - #### VGDL_INTERACTION_SET

          public static final int VGDL_INTERACTION_SET

      See Also:
        Constant Field Values

    - #### VGDL_LEVEL_MAPPING

          public static final int VGDL_LEVEL_MAPPING

      See Also:
        Constant Field Values

    - #### VGDL_TERMINATION_SET

          public static final int VGDL_TERMINATION_SET

      See Also:
        Constant Field Values

    - #### NIL

          public static final Vector2d NIL

    - #### NONE

          public static final Vector2d NONE

    - #### RIGHT

          public static final Vector2d RIGHT

    - #### LEFT

          public static final Vector2d LEFT

    - #### UP

          public static final Vector2d UP

    - #### DOWN

          public static final Vector2d DOWN

    - #### BASEDIRS

          public static final Vector2d[] BASEDIRS

    - #### ALL_ACTIONS

          public static int[] ALL_ACTIONS

    - #### SCORE_DISQ

          public static final int SCORE_DISQ

      See Also:
        Constant Field Values

    - #### GREEN

          public static final java.awt.Color GREEN

    - #### BLUE

          public static final java.awt.Color BLUE

    - #### RED

          public static final java.awt.Color RED

    - #### GRAY

          public static final java.awt.Color GRAY

    - #### WHITE

          public static final java.awt.Color WHITE

    - #### BROWN

          public static final java.awt.Color BROWN

    - #### BLACK

          public static final java.awt.Color BLACK

    - #### ORANGE

          public static final java.awt.Color ORANGE

    - #### YELLOW

          public static final java.awt.Color YELLOW

    - #### PINK

          public static final java.awt.Color PINK

    - #### GOLD

          public static final java.awt.Color GOLD

    - #### LIGHTRED

          public static final java.awt.Color LIGHTRED

    - #### LIGHTORANGE

          public static final java.awt.Color LIGHTORANGE

    - #### LIGHTBLUE

          public static final java.awt.Color LIGHTBLUE

    - #### LIGHTGREEN

          public static final java.awt.Color LIGHTGREEN

    - #### LIGHTYELLOW

          public static final java.awt.Color LIGHTYELLOW

    - #### LIGHTGRAY

          public static final java.awt.Color LIGHTGRAY

    - #### DARKGRAY

          public static final java.awt.Color DARKGRAY

    - #### DARKBLUE

          public static final java.awt.Color DARKBLUE

    - #### COLOR_DISC

          public static final java.lang.Integer[] COLOR_DISC

    - #### TYPE_AVATAR

          public static final int TYPE_AVATAR

      See Also:
        Constant Field Values

    - #### TYPE_RESOURCE

          public static final int TYPE_RESOURCE

      See Also:
        Constant Field Values

    - #### TYPE_PORTAL

          public static final int TYPE_PORTAL

      See Also:
        Constant Field Values

    - #### TYPE_NPC

          public static final int TYPE_NPC

      See Also:
        Constant Field Values

    - #### TYPE_STATIC

          public static final int TYPE_STATIC

      See Also:
        Constant Field Values

    - #### TYPE_FROMAVATAR

          public static final int TYPE_FROMAVATAR

      See Also:
        Constant Field Values

    - #### TYPE_MOVABLE

          public static final int TYPE_MOVABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Types

          public Types()